## FolksInteractionDetails

FolksInteractionDetails — Interaction details of a contact.

## Functions

guint | folks_interaction_details_get_im_interaction_count ()
GDateTime * | folks_interaction_details_get_last_im_interaction_datetime ()
guint | folks_interaction_details_get_call_interaction_count ()
GDateTime * | folks_interaction_details_get_last_call_interaction_datetime ()

## Types and Values

| FolksInteractionDetails
struct | FolksInteractionDetailsIface

## Description

Interaction details are the number and date/time of calls or IM interactions with a contact, giving an idea of the recent interactions the user has had with that contact.

## Functions

### folks_interaction_details_get_im_interaction_count ()

    guint
    folks_interaction_details_get_im_interaction_count
                                   (FolksInteractionDetails *self);

Get and return the current value of the "im-interaction-count" property.

The IM interaction associated with a Persona

#### Parameters

self | the FolksInteractionDetails instance to query |

#### Returns

the value of the "im-interaction-count" property

Since: 0.7.1

### folks_interaction_details_get_last_im_interaction_datetime ()

    GDateTime *
    folks_interaction_details_get_last_im_interaction_datetime
                                   (FolksInteractionDetails *self);

Get and return the current value of the "last-im-interaction-datetime" property.

The latest IM interaction timestamp associated with a Persona

#### Parameters

self | the FolksInteractionDetails instance to query |

#### Returns

the value of the "last-im-interaction-datetime" property

Since: 0.7.1

### folks_interaction_details_get_call_interaction_count ()

    guint
    folks_interaction_details_get_call_interaction_count
                                   (FolksInteractionDetails *self);

Get and return the current value of the "call-interaction-count" property.

The call interaction associated with a Persona

#### Parameters

self | the FolksInteractionDetails instance to query |

#### Returns

the value of the "call-interaction-count" property

Since: 0.7.1

### folks_interaction_details_get_last_call_interaction_datetime ()

    GDateTime *
    folks_interaction_details_get_last_call_interaction_datetime
                                   (FolksInteractionDetails *self);

Get and return the current value of the "last-call-interaction-datetime" property.

The latest call interaction timestamp associated with a Persona

#### Parameters

self | the FolksInteractionDetails instance to query |

#### Returns

the value of the "last-call-interaction-datetime" property

Since: 0.7.1

## Types and Values

### FolksInteractionDetails

    typedef struct _FolksInteractionDetails FolksInteractionDetails;

Interaction details of a contact.

Interaction details are the number and date/time of calls or IM interactions with a contact, giving an idea of the recent interactions the user has had with that contact.

Since: 0.7.1

### struct FolksInteractionDetailsIface

    struct FolksInteractionDetailsIface {
    	GTypeInterface parent_iface;
    	guint (*get_im_interaction_count) (FolksInteractionDetails* self);
    	GDateTime* (*get_last_im_interaction_datetime) (FolksInteractionDetails* self);
    	guint (*get_call_interaction_count) (FolksInteractionDetails* self);
    	GDateTime* (*get_last_call_interaction_datetime) (FolksInteractionDetails* self);
    };

Interface for creating FolksInteractionDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`get_im_interaction_count` () | getter method for the abstract property "im-interaction-count" |
`get_last_im_interaction_datetime` () | getter method for the abstract property "last-im-interaction-datetime" |
`get_call_interaction_count` () | getter method for the abstract property "call-interaction-count" |
`get_last_call_interaction_datetime` () | getter method for the abstract property "last-call-interaction-datetime" |